<?
if ( !$globelus_settings = \S::get_session( 'globelus-settings' ) )
{
  $results = $mdb -> select( 'globelus_settings', [ 'param', 'value' ] );
  if ( is_array( $results ) and count( $results ) ) 
  {
    foreach ( $results as $row )
      $globelus_settings[ $row['param'] ] = $row['value'];
    
    \S::set_session( 'globelus-settings', $globelus_settings );
  }
}

if ( $_SERVER['REQUEST_URI'] == '/oferty-pracy' and strpos( $_SERVER['HTTP_REFERER'], '/oferty-pracy' ) == false and  strpos( $_SERVER['HTTP_REFERER'], '/oferta/' ) == false and !\S::get( 'filtr' ) )
{
  \S::delete_session( 'adverts-filtr-categories' );
  \S::delete_session( 'adverts-filtr-firm' );
  \S::delete_session( 'adverts-filtr-keyword' );
  \S::delete_session( 'adverts-filtr-countries' );
  \S::delete_session( 'adverts-filtr-time' );
}